<template>
  <pageWrapper
    :title="$t('howToPlay.title')"
    :closable="showingMenu"
    backable
    :gradient="true"
    @close="closeAll"
    ref="pageWrapper"
    :defaultScroll="true"
    @back="close">
    <div
      class="howToPlay"
      v-for="(item, key) in promoMaterials"
      :key="key">
      <div class="howToPlay_block">
        <div class="howToPlay_block-inner">
          <div class="howToPlay_block-title">
            {{item.title}}
          </div>
          <div
            v-for="(item, pkey) in item.items"
            :key="pkey">
            <div v-if="item.subImg">
              <img
                class="howToPlay_block-promo-img-sub"
                :src="item.subImg"
                alt="">
            </div>
            <div class="howToPlay_block-description">
              {{item.description}}
            </div>
            <div class="howToPlay_block-promo">
              <img
                class="howToPlay_block-promo-img"
                :class="key===2 ? 'howToPlay_block-promo-img-padding' : ''"
                :src="item.src"
                :alt="item.title">
            </div>
          </div>
          <div
            v-if="key===promoMaterials.length-1"
            class="flex flex-center">
            <BtnSign
              class="howToPlay_block-btn"
              @click="play">{{$t('howToPlay.btn')}}
            </BtnSign>
          </div>
        </div>
      </div>
    </div>
  </pageWrapper>
</template>

<script>
  import pageWrapper from '~/components/common/pageWrapper';
  import BtnSign from '~/components/UI/BtnSign';

  export default {
    name: "HowToPlay",
    data() {
      return {}
    },
    components: {
      pageWrapper,
      BtnSign
    },
    computed: {
      isAuth() {
        return this.$store.state.user.isAuth;
      },
      showingMenu() {
        return this.$store.state.common.showingMenu;
      },
      isDemo() {
        return this.$store.state.common.demo;
      },
      promoMaterials() {
        return [{
          title: this.$t('howToPlay.1.title'),
          items: [{
            description: this.$t('howToPlay.1.description'),
            src: './howtoplay/bc_1.png'
          }]
        }, {
          title: this.$t('howToPlay.2.title'),
          items: [{
            description: this.$t('howToPlay.2.description'),
            src: './howtoplay/bc_2.png'
          }]
        }, {
          title: this.$t('howToPlay.3.title'),
          items: [{
            description: this.$t('howToPlay.3.description'),
            src: './howtoplay/bc_3.png'
          }]
        }, {
          title: this.$t('howToPlay.4.title'),
          items: [{
            subImg: './howtoplay/bc_4_1.png',
            description: this.$t('howToPlay.4.description[0]'),
            src: './howtoplay/bc_4.png'
          }, {
            subImg: './howtoplay/bc_5_1.png',
            description: this.$t('howToPlay.4.description[1]'),
            src: './howtoplay/bc_5.png'
          }, {
            subImg: './howtoplay/bc_6_1.png',
            description: this.$t('howToPlay.4.description[2]'),
            src: './howtoplay/bc_6.png'
          }]
        }, {
          title: this.$t('howToPlay.5.title'),
          items: [{
            description: this.$t('howToPlay.5.description'),
            src: './howtoplay/bc_7.png'
          }]
        }, {
          title: this.$t('howToPlay.6.title'),
          items: [{
            description: this.$t('howToPlay.6.description'),
            src: './howtoplay/bc_8.png'
          }]
        }, {
          title: this.$t('howToPlay.7.title'),
          items: [{
            description: this.$t('howToPlay.7.description'),
            src: './howtoplay/bc_9.png'
          }]
        }, {
          title: this.$t('howToPlay.8.title'),
          items: [{
            description: this.$t('howToPlay.8.description'),
            src: './howtoplay/bc_10.png'
          }]
        }]
      }
    },
    methods: {
      play() {
        if (!this.isDemo) {
          this.$root.$refs['header_bottom'].changeNetwork();
        }
        this.closeAll();
        this.$nextTick(_ => {
          this.isAuth ? document.body.scrollTo(0, 0) : this.$root.$refs['headerTop'].showAuth();
        });
      },
      closeAll() {
        this.close();
        this.$root.$refs['headerTop'].openMenu(false);
      },
      close() {
        this.$emit('close');
        this.enableScroll();
      },
      enableScroll() {
        this.$refs['pageWrapper'].enableScroll();
      },
      disableScroll() {
        this.$refs['pageWrapper'].disableScroll();
      },
    }
  }
</script>
